API explorerTeams
Update a team (name: admin; auto-join and retention: owner)
PATCH /api/agent/teams/{id}. Required scopes: teams:write.
Loading API reference…
Required scopes: teams:write
bearer teams:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: teams:write
id*stringapplication/jsonname?string1 <= length <= 60autoJoinVerifiedDomain?booleanretentionDays?number|number|number|number|nullSuccess
application/jsonteam*curl -X PATCH 'https://example.com/api/agent/teams/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "team": { "kind": "family", "id": "string", "name": "string", "role": "owner", "memberCount": 0, "appCount": 0, "oncallGroupCount": 0, "deviceGroupCount": 0, "verifiedDomain": "string", "pendingDomain": "string", "domainVerification": { "host": "string", "value": "string" }, "autoJoinVerifiedDomain": true, "retentionDays": 0, "seats": { "used": 0, "available": 0, "billable": 0 }, "plan": "free", "createdAt": "2019-08-24T14:15:22Z" }}